[
{
    blockid=admin;
    help=store_admin_admin;
    localvar={
	/* translate this block */
	.header.text="\u90ae\u4ef6\u5b58\u50a8\u5e93\u7ba1\u7406\u5458";
	.admins.text="\u90ae\u4ef6\u5b58\u50a8\u5e93\u7ba1\u7406\u5458\u53ef\u4ee5\u67e5\u770b\u6240\u6709\u90ae\u4ef6\u6587\u4ef6\u5939\uff0c\u5e76\u53ef\u4f7f\u7528 IMAP \u534f\u8bae\u76f4\u63a5\u6307\u5b9a\u8bbf\u95ee\u63a7\u5236\u3002";
	.admins.header="\u7ba1\u7406\u5458 UID";
	.admins.error="\u7ba1\u7406 ID \u5df2\u7ecf\u5b58\u5728\u3002\u8bf7\u6307\u5b9a\u53e6\u4e00\u4e2a\u7ba1\u7406 ID\u3002";
	.admin.title="\u5b58\u50a8\u7ba1\u7406\u5458\u6761\u76ee";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    wrap=$g.label.size5;
	    font=["","",16];
	    constraint={
	        gridx=0;
	        gridy=0;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=adminlabel;
	    text=$.admins.text;
	    wrap=$g.label.size4;
	    target=adminctrl;
	    key=$.admins.key;
	    constraint={
	        gridx=0;
	        gridy=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    stdtable=true;
	    addui=adminid;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.admin.title;
	    editui=adminid;
	    edittitle=$.admin.title;
	    val=$admins.value;
	    label=adminlabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
	        gridx=0;
	        gridy=3;
	        weightx=1;
	        weighty=1;
	        fill=both;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.admins.header;
		    varname=adminname;
		    unique=$.admins.error;
		}
	    ]
	}
    ]
},
{
    blockid=adminid;
    help=store_admin_adminid;
    localvar={
	.name.text="\u7ba1\u7406\u5458 UID:";
    };
    content=[
	{
	    ctrl=label;
	    id=namelabel;
	    text=$.name.text;
	    wrap=$g.label.size2;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    label=namelabel;
	    val=$adminname;
	    focus=true;
	}
    ]
}
]
